
Foreman - Bug #17951

Installation fails/breaks when there is a double dash (--) in the domainname of a machine.

01/06/2017 03:35 AM - Jan Vansteenkiste

Status: Closed   

Priority: Normal   

Assignee:    

Category: Settings   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases: 1.13.3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4158

  

Description

The rake tasks (db:seed) throws a terrible stacktrace with a validation error. After a lot of debugging I narrowed it down to:

Given domainname: foo--bar.example.com

In app/models/setting/general.rb#L8

    administrator = "root@#{domain}" 

 Which is validated by app/validators/email_validator.rb and fails.

Possible solutions are backporting the changes to the email_validator (using the mail gem) or adjusting the beast of a regex to match

domain names with double dashes in the name.

History

#1 - 01/06/2017 03:36 AM - Jan Vansteenkiste

diff --git a/test/unit/validators/email_validator_test.rb b/test/unit/validators/email_validator_test.rb

index 34c167b9b..4639217fc 100644

--- a/test/unit/validators/email_validator_test.rb

+++ b/test/unit/validators/email_validator_test.rb

@@ -30,4 +30,9 @@ class EmailValidatorTest < ActiveSupport::TestCase

   test 'should allow blank' do

     assert @validatable.valid?

   end

+

+  test 'should allow double dashes in domain' do

+    @validatable.mail = 'admin@foobar--example.com'

+    assert @validatable.valid?

+  end

 end

#2 - 01/06/2017 03:51 AM - Dominic Cleal

- Category set to Settings

- Priority changed from Urgent to Normal

Possible solutions are backporting the changes to the email_validator (using the mail gem)

 To be clear, this is treated as valid by email_validator in 1.14.0-RC1 and above.

#3 - 01/06/2017 05:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4158 added
projects.theforeman.org/projects/foreman/repository/entry/app/models/setting/general.rb?utf8=%E2%9C%93&rev=1.13.3#L8
projects.theforeman.org/projects/foreman/repository/entry/app/validators/email_validator.rb?utf8=%E2%9C%93&rev=1.13.3


#4 - 08/05/2021 09:19 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

Following the PR, closing this ticket as well
